<?php
namespace Claromentis\Core\TrashCan\TrashcanObject;

$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"] ?: array()) + array("_d1d66e928f80b" . "4eae4a89463b6d" . "889ec" => base64_decode("dHJpbV9sb25nX3N0cmluZ" . "w=="), "_0c5123aa" . "744f69bbc" . "0e8b3ea2f" . "6e847d" => base64_decode("bG1zZw=" . "="), "_2457e28fb4d91b5f7528008953" . "d956b5" => base64_decode("YmxvZy" . "5jb21t" . "b24uYm" . "xvZw=="), "_a591754a8ddcdbda9c80f1db4" . "d911e14" => base64_decode("aXNf" . "bnVs" . "bA=="), "_f4c456377929" . "2d5abe6eb12f8" . "a5a2f28" => base64_decode("VHJhc2hPYmplY3RCbG9nOjpDcmVhdGVGcm9tT2JqZWN0KCkgYWNjZXB0cyBvbmx5IG9iamVjdCBvZ" . "iBjbGFzcyBCbG9nUG9zdA=="));
use BlogBrowser;
use BlogPost;





class TrashObjectBlog extends TrashObject
{
    
    
    
    
    
    
    public function __construct($_b15aac3aa29c10ea6d1228f58cb9a7e8 = null)
    {
        $this->aggregation = AGGREGATION_BLOG;
        if (!$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_a591754a8ddcdbda9c80f1d" . "b4d911e14"]($_b15aac3aa29c10ea6d1228f58cb9a7e8) && $_b15aac3aa29c10ea6d1228f58cb9a7e8 instanceof BlogPost) {
            $this->CreateFromObject($_b15aac3aa29c10ea6d1228f58cb9a7e8);
        }
    }
    
    
    
    
    
    
    
    
    public function CreateFromObject($_b15aac3aa29c10ea6d1228f58cb9a7e8)
    {
        if (!$_b15aac3aa29c10ea6d1228f58cb9a7e8 instanceof BlogPost) {
            throw new \Exception($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_f4c456377929" . "2d5abe6eb12f8" . "a5a2f28"]);
        }
        $this->obj_id = $_b15aac3aa29c10ea6d1228f58cb9a7e8->GetId();
        $this->description = $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_d1d66e928f80b4eae4a89463b6" . "d889ec"](\ClaText::BBCode2Plain($_b15aac3aa29c10ea6d1228f58cb9a7e8->GetText()), 300);
        $this->title = $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_d1d66e928f80b4eae" . "4a89463b6d889ec"]($_b15aac3aa29c10ea6d1228f58cb9a7e8->GetTitle(), 50);
        $this->orig_location = $_b15aac3aa29c10ea6d1228f58cb9a7e8->channel_name;
    }
    
    
    
    
    
    
    public function DeleteCompletely()
    {
        $_108bde9814d9d2f78a4fdae9b4d6e3ce = BlogBrowser::Instance();
        if ($_108bde9814d9d2f78a4fdae9b4d6e3ce->DeleteBlogPostById($this->obj_id, true, false)) {
            return parent::DeleteCompletely();
        } else {
            return $this->SetErrMsg($_108bde9814d9d2f78a4fdae9b4d6e3ce->GetErrMsg());
        }
    }
    
    
    
    
    
    
    
    public function Restore()
    {
        $_108bde9814d9d2f78a4fdae9b4d6e3ce = BlogBrowser::Instance();
        if (!$_108bde9814d9d2f78a4fdae9b4d6e3ce->UndeleteBlogPostByID($this->obj_id)) {
            throw new \Exception($_108bde9814d9d2f78a4fdae9b4d6e3ce->GetErrMsg());
        }
        return parent::Restore();
    }
    public function GetObjectTypeName()
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_0c5123aa744f69bbc0e8b3ea2" . "f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_2457e28fb4" . "d91b5f75280" . "08953d956b5"]);
    }
}